ServerConductor/Blade Server Manager Description and Reference

### 3.5.4 Setting the details (agent service)

You can set detailed information about the agent service. To do this, on the Agent Service page, click the Set Details button.

The following subsections describe the agent service detailed information that can be set.

Organization of this subsection
  (1) Network (Common) information
  (2) Network (Service) information
  (3) System Settings
  (4) Alert information

#### (1) Network (Common) information

You can set information common to the network. To do this, in the Environment Settings Utility dialog box, click the Network (Common) tab.

On this tabbed page, you can set the following information:

Item | Setting
--- | ---
Sending timeout period | Set the sending timeout time in seconds. The permitted value range is from 1 to 3600 seconds. The default is 30 seconds.
Specify the IP address used in multi IP address configurations | When multiple LAN boards have been installed, select this check box and set the IP address to be used.

For details about the sending timeout period, see 3.3 Setting the console service.

#### (2) Network (Service) information

You can set information about the network service. To do this, in the Environment Settings Utility dialog box, click the Network (Service) tab.

On this tabbed page, you can set the following information:

Item | Setting
--- | ---
Idle session time (agent service) | Set the amount of time (in seconds) before the session is to be closed when there is no communication between the console and manager services. The permitted value range is from 0 to 7,200. The default is 900 seconds. If there are no charges for the communication line with the manager service because of the network in use (such as a LAN), you can set the value 0. When 0 is set, the session will not be closed.
Command timeout period | Set the wait time (in seconds) for a response to a transmission from the agent service to the manager service. The permitted value range is from 1 to 600. The default is 90 seconds.
Keep alive | Set whether the connection between the agent and manager services is to be kept open. Once you select this check box, you can set a keep-alive interval in seconds. The permitted value range for the keep-alive interval is from 1 to 3,600. The default is that the keep-alive option is not selected. When the keep-alive option is selected, the default keep-alive interval is 600 seconds.
Collect communication log | Select this check box to collect a communication log.

For details about the keep-alive option, see 3.3 Setting the console service.

Note
  When you use a line for which there are charges, such as a telephone line, you should not select the keep-alive option. When you set a keep-alive interval, make sure that the specified value is greater than the command timeout value.

#### (3) System Settings

You can specify whether power-on/off and reboot requests from the management console are to be accepted. In the Environment Settings Utility dialog box, click the System Settings tab.

To accept power shutdown and reboot requests from the management console, select Permit. Otherwise, select Do not permit. The default is that Permit is selected.

#### (4) Alert information

You can set the alert information that is to be sent by the agent service.

To set the alert information, in the Environment Settings Utility dialog box, click the Alert tab.

On this tabbed page, you can set the following information:

Item | Setting
--- | ---
Alert level | Select the levels of alerts that the agent service is to send. Select the check boxes for all applicable alert levels (you can select multiple boxes). The supported alerts are as follows: Information: Alerts that report changes in the server status. Caution: Alerts that indicate the possibility of an error. Warning: Alerts that indicate the possibility of a failure. Failure: Alerts that indicate the necessity of prompt action.
Number of days to save | Set the number of days alert log files are to be retained. The permitted value range is from 0 to 90. The default is 30 days. When 0 is set, the alert log files will be retained until deleted by the user.
Used disk capacity warning threshold | Set the amount (in kilobytes) of alert log information that can be stored before a warning is sent to the management console (alert log information is saved as one file per day). The permitted value range is from 0 to 1,048,576. The default is 1,024 kilobytes. If 0 is set, no warning will be sent.
Application log | Set whether alerts sent by the agent service are to be recorded as application log information. The created application log information can be viewed by using the Event Viewer.

An alert log file is saved with the date as the file name (the extension is .log) in the log directory under the ServerConductor installation directory (for example, the log file created for December 1, 2006, is saved with the file name 20061201.log).

All Rights Reserved. Copyright (C) 2006, Hitachi, Ltd.